Cyberduck Mountain Duck CLI

#8602 closed defect (worksforme)

Preference s3.url.expire.seconds not changing expiry for signed URL

Reported by: jarterys Owned by: dkocher
Priority: normal Milestone: 4.6.5
Component: s3 Version: 4.6.4
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Mac OS X 10.10

Description (last modified by dkocher)

I have executed the following command in my terminal on a Mac:

defaults write ch.sudo.cyberduck s3.url.expire.seconds 86400

I then restarted Cyberduck (and rebooted), but the Signed URL Expiry is still just 1 hour. Is this a defect or am I doing something wrong?

I executed the same command on an earlier version of Cyberduck on OSX 10.8, without any issues. Attached are screenshots of the output of "defaults find s3", as well as the S3 Info Panel.

Attachments (1)

Screen Shot 2015-02-22 at 4.17.15 PM.png (57.7 KB) - added by jarterys on Feb 23, 2015 at 12:20:28 AM.

Download all attachments as: .zip

Change History (10)

comment:1 Changed on Feb 23, 2015 at 8:21:02 AM by dkocher

  • Description modified (diff)

comment:2 Changed on Feb 23, 2015 at 8:21:53 AM by dkocher

  • Milestone set to 4.6.5
  • Owner set to dkocher
  • Status changed from new to assigned

comment:3 Changed on Feb 23, 2015 at 8:22:01 AM by dkocher

  • Component changed from core to s3

comment:4 Changed on Feb 23, 2015 at 8:27:55 AM by dkocher

  • Resolution set to worksforme
  • Status changed from assigned to closed

Can you try to apply the default explicitly to ~/Library/Preferences/ch.sudo.cyberduck.plist (if you are using the version from cyberduck.io) or ~/Library/Containers/ch.sudo.cyberduck/Data/Library/Preferences/ch.sudo.cyberduck.plist (if you are using the version from the Mac App Store.

defaults write ~/Library/Preferences/ch.sudo.cyberduck.plist s3.url.expire.seconds 86400

Please note that 86400 (24 hours) is the default setting.

comment:5 Changed on Feb 23, 2015 at 8:28:10 AM by dkocher

  • Summary changed from s3.url.expire.seconds not changing Signed URL Expiry to Preference s3.url.expire.seconds not changing expiry for signed URL

comment:6 Changed on Feb 24, 2015 at 6:15:33 AM by jarterys

I am using the Cyberduck version from cyberduck.io and applied the default explicitly to ~/Library/Preferences/ch.sudo.cyberduck.plist. I then restarted Cyberduck (and rebooted), and still no change. The default is still 1 hour (which seems strange since it should be 24 hours). Any other ideas?

comment:7 Changed on Feb 24, 2015 at 6:16:16 AM by jarterys

  • Resolution worksforme deleted
  • Status changed from closed to reopened

comment:8 Changed on Feb 24, 2015 at 8:49:29 AM by dkocher

  • Resolution set to worksforme
  • Status changed from reopened to closed

I see. In the Info panel the first signed URL is displayed which expires in 1 hour. Choose Edit → Copy URL… (or use the browser context menu) to display all variants.

comment:9 Changed on Feb 26, 2015 at 1:22:44 AM by jarterys

Perfect! This worked. Thank you.

Note: See TracTickets for help on using tickets.
swiss made software